const worker = new Worker("build/ai-worker.js");

let i = 0;

let cb = {};

worker.addEventListener("message", ev => {
  if (ev.data.i in cb) {
    cb[ev.data.i](ev.data.res);
  }
})

const analyze = (img: Image) => new Promise((res, rej) => {
  i++;
  const _i = i;
  worker.postMessage({ i: _i, pixels: img.data, width: img.width, height: img.height });
  cb[_i] = res;
});

export default { analyze }